GET
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/applications
Copy to clipboard
Get admDevice applications by Id
Required Permission: mdm.apple.device.get
Get admDevice applications by Id
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
admDeviceId
string
required
Responses
200 Response
application/json
status
boolean
optional
data
array [object]
optional
AdHocCodeSigned
boolean
optional
AppStoreVendable
boolean
optional
BetaApp
boolean
optional
BundleSize
integer
optional
DeviceBasedVPP
boolean
optional
DynamicSize
integer
optional
ExternalVersionIdentifier
integer
optional
HasUpdateAvailable
boolean
optional
Identifier
string
optional
Installing
boolean
optional
IsValidated
boolean
optional
Name
string
optional
ShortVersion
string
optional
Version
string
optional
{
"status": true,
"data": [
{
"AdHocCodeSigned": true,
"AppStoreVendable": true,
"BetaApp": true,
"BundleSize": 0,
"DeviceBasedVPP": true,
"DynamicSize": 0,
"ExternalVersionIdentifier": 0,
"HasUpdateAvailable": true,
"Identifier": "string",
"Installing": true,
"IsValidated": true,
"Name": "string",
"ShortVersion": "string",
"Version": "string"
}
]
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}